*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: #0f172a;
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}

/* MENU */

.menu{
    width: 100%;
    padding: 30px 8%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* LOGO */

.logo{
    color: white;
    font-size: 40px;
    font-weight: 700;
}

.logo span{
    color: #38bdf8;
}

/* MENU LINKS */

nav{
    display: flex;
    gap: 35px;
}

nav a{
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

nav a:hover{
    color: #38bdf8;
}

/* TOPO */

.topo-pagina{
    padding: 100px 8%;
    text-align: center;
}

.texto-topo h1{
    color: white;
    font-size: 70px;
}

.texto-topo p{
    color: #cbd5e1;
    margin-top: 20px;
    font-size: 20px;
}

/* EXPLICAÇÃO */

.explicacao{
    padding: 0 8%;
    margin-bottom: 60px;
}

.caixa-explicacao{
    background: #111c36;
    padding: 50px;
    border-radius: 40px;
}

.caixa-explicacao h2{
    color: white;
    font-size: 40px;
}

.caixa-explicacao p{
    color: #cbd5e1;
    margin-top: 20px;
    line-height: 1.8;
    font-size: 18px;
}

/* TABELA */

.tabela-section{
    padding: 40px 8% 120px;
}

.tabela{
    margin-top: 50px;
    background: #111c36;
    border-radius: 30px;
    overflow: hidden;
}

.linha{
    display: flex;
    justify-content: space-between;
    padding: 30px;
    border-bottom: 1px solid rgba(255,255,255,0.05);
}

.linha span{
    color: white;
    font-size: 20px;
}

/* EXEMPLOS */

.exemplos{
    padding: 0 8% 120px;
}

.titulo-secao{
    text-align: center;
}

.titulo-secao h2{
    color: white;
    font-size: 45px;
}

.titulo-secao p{
    color: #cbd5e1;
    margin-top: 10px;
}

/* CARDS */

.cards{
    margin-top: 60px;
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 35px;
    flex-wrap: wrap;
}

/* CARD */

.card{
    width: 320px;
    min-height: 220px;
    background: #111c36;
    padding: 40px 30px;
    border-radius: 30px;
    transition: 0.4s;
    border: 1px solid rgba(56,189,248,0.08);
}

/* HOVER CARD */

.card:hover{
    transform: translateY(-10px);

    border: 1px solid #38bdf8;

    box-shadow:
    0 0 25px rgba(56,189,248,0.25);
}

/* TEXTO CARD */

.card h3{
    color: white;
    font-size: 28px;
    line-height: 1.4;
}

.card p{
    color: #cbd5e1;
    margin-top: 18px;
    line-height: 1.8;
    font-size: 17px;
}

/* EXERCÍCIO */

.exercicio{
    padding: 0 8% 120px;
}

/* CAIXA EXERCÍCIO */

.caixa-exercicio{
    max-width: 900px;
    margin: 60px auto 0;
    background: #111c36;
    border-radius: 35px;
    padding: 50px;
    display: flex;
    justify-content: center;
}

/* PERGUNTA */

.pergunta{
    width: 100%;
    max-width: 700px;
    background: #16213d;
    padding: 35px;
    border-radius: 25px;
    border: 1px solid #38bdf8;
    transition: 0.3s;
}

.pergunta:hover{
    transform: translateY(-5px);

    box-shadow:
    0 0 25px rgba(56,189,248,0.20);
}

/* TEXTO */

.pergunta p{
    color: white;
    font-size: 28px;
    line-height: 1.6;
}

/* OPÇÕES */

.opcoes{
    display: flex;
    gap: 15px;
    margin-top: 30px;
    flex-wrap: wrap;
}

/* BOTÕES */

.opcoes button{
    padding: 12px 25px;
    border: none;
    border-radius: 15px;
    background: #1e293b;
    color: white;
    cursor: pointer;
    transition: 0.3s;
    font-size: 16px;
}

/* HOVER BOTÕES */

.opcoes button:hover{
    background: #38bdf8;
    transform: translateY(-4px);
}

/* RESULTADO */

.resultado{
    margin-top: 25px;
    font-size: 20px;
    font-weight: 600;
}

/* RESPONSIVO */

@media(max-width: 900px){

    .texto-topo h1{
        font-size: 50px;
    }

    .cards{
        flex-direction: column;
        align-items: center;
    }

}

@media(max-width: 600px){

    nav{
        display: none;
    }

    .texto-topo h1{
        font-size: 40px;
    }

    .caixa-explicacao{
        padding: 30px;
    }

    .linha{
        padding: 20px;
    }

    .linha span{
        font-size: 16px;
    }

    .card{
        width: 100%;
    }

    .caixa-exercicio{
        padding: 25px;
    }

    .pergunta{
        padding: 25px;
    }

    .pergunta p{
        font-size: 20px;
    }

    .opcoes{
        flex-direction: column;
    }

    .opcoes button{
        width: 100%;
    }

}